/*
 *
 * happytimer - Alarm timer for the GNOME notification area
 *
 *  @Copyright (C) 2007, 2009 Kim Jin Chul (shriekout@gmail.com).
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef _TIMECHECK_H

#define _TIMECHECK_H

#include <regex.h>
#include <gtk/gtk.h>
#include <libxml/tree.h>

GtkWidget *alarm_window;
char *soundDir_list[0];
int soundDir_num;

struct soundDir {
	char *dirname;
	struct soundDir *next;
};

struct soundDir *soundDir_head;

struct presetList {
	char *name;
	time_t timer;
	struct presetList *next;
};

struct presetList *presetList_head;

enum {
	P_ADD,
	P_EDIT,
	P_REMOVE
};

struct hms_struct {
	int hr;
	int min;
	int sec;
};

gboolean timeCheck(gpointer data);
void set_timer(GtkAdjustment *adj);
char *return_strftime(time_t sec, gboolean returnSec);
void save_preference(GtkWidget *widget, gpointer data);
void append_sound_to_combo(GtkWidget *widget);
void maxtimer_changed(void);
void timerWidget_sensitive(gboolean sensitive);
void append_preset_to_combo(GtkWidget *widget);
void add_preset_to_pp(GtkWidget *widget);
void ppREA(struct presetList *sp, struct presetList *sp2, int what);
xmlNodePtr search_xml_name(xmlNodePtr node, const char *name);
struct hms_struct return_hms_struct(long t);

#endif
